# Method: subscriptions.insert

- [HTTP request](https://developers.google.com/workspace/admin/reseller/reference/rest/v1/subscriptions/insert#body.HTTP_TEMPLATE)
- [Path parameters](https://developers.google.com/workspace/admin/reseller/reference/rest/v1/subscriptions/insert#body.PATH_PARAMETERS)
- [Query parameters](https://developers.google.com/workspace/admin/reseller/reference/rest/v1/subscriptions/insert#body.QUERY_PARAMETERS)
- [Request body](https://developers.google.com/workspace/admin/reseller/reference/rest/v1/subscriptions/insert#body.request_body)
- [Response body](https://developers.google.com/workspace/admin/reseller/reference/rest/v1/subscriptions/insert#body.response_body)
- [Authorization scopes](https://developers.google.com/workspace/admin/reseller/reference/rest/v1/subscriptions/insert#body.aspect)
- [Try it!](https://developers.google.com/workspace/admin/reseller/reference/rest/v1/subscriptions/insert#try-it)

Creates or transfer a subscription.

Create a subscription for a customer's account that you ordered using the [Order a new customer account](https://developers.google.com/workspace/admin/reseller/v1/reference/customers/insert) method. For more information about creating a subscription for different payment plans, see [manage subscriptions](https://developers.google.com/workspace/admin/reseller/v1/how-tos/manage_subscriptions#create_subscription).\\

If you did not order the customer's account using the customer insert method, use the customer's `customerAuthToken` when creating a subscription for that customer.

If transferring a G Suite subscription with an associated Google Drive or Google Vault subscription, use the [batch operation](https://developers.google.com/workspace/admin/reseller/v1/how-tos/batch) to transfer all of these subscriptions. For more information, see how to [transfer subscriptions](https://developers.google.com/workspace/admin/reseller/v1/how-tos/manage_subscriptions#transfer_a_subscription).

### HTTP request

`POST https://reseller.googleapis.com/apps/reseller/v1/customers/{customerId}/subscriptions`

The URL uses [gRPC Transcoding](https://google.aip.dev/127) syntax.

### Path parameters

| Parameters ||
|---|---|
| `customerId` | `string` This can be either the customer's primary domain name or the customer's unique identifier. If the domain name for a customer changes, the old domain name cannot be used to access the customer, but the customer's unique identifier (as returned by the API) can always be used. We recommend storing the unique identifier in your systems where applicable. |

### Query parameters

| Parameters ||
|---|---|
| `customerAuthToken` | `string` The `customerAuthToken` query string is required when creating a resold account that transfers a direct customer's subscription or transfers another reseller customer's subscription to your reseller management. This is a hexadecimal authentication token needed to complete the subscription transfer. For more information, see the [administrator help center](https://support.google.com/a/bin/answer.py?answer=142336). |

### Request body

The request body contains an instance of `https://developers.google.com/workspace/admin/reseller/reference/rest/v1/subscriptions#Subscription`.

### Response body

If successful, the response body contains a newly created instance of `https://developers.google.com/workspace/admin/reseller/reference/rest/v1/subscriptions#Subscription`.

### Authorization scopes

Requires the following OAuth scope:

- `https://www.googleapis.com/auth/apps.order`

For more information, see the [Authorization guide](https://developers.google.com/workspace/guides/configure-oauth-consent).